<template>
  <slot
    @click="onClick"
    @keydown.enter="onClick"
    @keydown.space="onClick"
  />
</template>

<script setup lang="ts">
import { inject } from 'vue';
import { DialogPlugin } from '@new-jira-clone/ui/src/plugins/dialog';
import { ConversationDetailsDialog } from '@/widgets/conversation-details';

const emits = defineEmits<{
  (event: 'click'): void;
}>();

const props = defineProps({
  chatId: {
    type: String,
    required: true,
  },
});

const $dialog = inject('$dialog') as DialogPlugin;

const openChatToDialog = () => {
  $dialog.show(ConversationDetailsDialog, {
    externalId: props.chatId,
    contentProps: { chatId: props.chatId },
  });
};

const onClick = () => {
  emits('click');
  openChatToDialog();
};
</script>
